CVE-2005-4094
CVSS7.5
发布时间 :2005-12-08 06:03:00
修订时间 :2011-03-07 21:27:41
NMCO    

[原文]connector.php in the fckeditor2rc2 addon in DoceboLMS 2.0.4 allows remote attackers to execute arbitrary PHP by using the FileUpload command to upload a file that appears to be an image but contains PHP script.


[CNNVD]DoceboLMS任意文件上传漏洞(CNNVD-200512-167)

        DoceboLMS 2.0.4的fckeditor2rc2加载项中的connector.php存在任意文件上传漏洞,远程攻击者可以使用FileUpload命令上传看似图像但包含PHP脚本的文件,以此来执行任意PHP。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4094
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4094
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-167
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2005/2771
(UNKNOWN)  VUPEN  ADV-2005-2771
http://www.securityfocus.com/bid/15744
(UNKNOWN)  BID  15744
http://secunia.com/advisories/17896
(VENDOR_ADVISORY)  SECUNIA  17896
http://secunia.com/advisories/1015308
(VENDOR_ADVISORY)  SECUNIA  1015308
http://rgod.altervista.org/docebo204_xpl.html
(VENDOR_ADVISORY)  MISC  http://rgod.altervista.org/docebo204_xpl.html
http://xforce.iss.net/xforce/xfdb/23519
(UNKNOWN)  XF  docebolms-connector-file-upload(23519)
http://www.osvdb.org/21465
(UNKNOWN)  OSVDB  21465
http://securitytracker.com/id?1015308
(UNKNOWN)  SECTRACK  1015308

- 漏洞信息

DoceboLMS任意文件上传漏洞
高危 输入验证
2005-12-08 00:00:00 2005-12-08 00:00:00
远程  
        DoceboLMS 2.0.4的fckeditor2rc2加载项中的connector.php存在任意文件上传漏洞,远程攻击者可以使用FileUpload命令上传看似图像但包含PHP脚本的文件,以此来执行任意PHP。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.docebolms.org/download.php?type=docs&pb=395&id=48
        http://www.docebolms.org/download.php?type=docs&pb=321&id=49
        

- 漏洞信息

21465
DoceboLMS File Upload Arbitrary PHP Code Execution
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2005-12-06 Unknow
2005-12-06 Unknow

- 解决方案

Upgrade to version 2.0.5 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站